Autore Topic: Spectacle - libreria mancante  (Letto 402 volte)

Offline ronnydaca

  • *
  • Post: 511
  • Reputazione: 1
    • Mostra profilo
Spectacle - libreria mancante
« il: 02 Marzo 2016 ore 20:00 »
Salve. Dopo aver reinstallato tutto dalla iso (precedente a l'ultima) spectacle non parte.
Dice:
Codice: [Seleziona]
spectacle: error while loading shared libraries: libKF5Kipi.so.30.0.0: cannot open shared object file: No such file or directory

Ho provato a installare libkipi ma non va in porto perché già presenti nel sistema.

Offline FranzMari

  • *
  • Post: 2810
  • Reputazione: 103
  • [Senior Packager]
    • Mostra profilo
    • IMHO blog
Re:Spectacle - libreria mancante
« Risposta #1 il: 03 Marzo 2016 ore 07:01 »
Hai aggiornato il sistema con
sudo pacman -Syyu
?
Se l'errore persiste significa che bisogna ricompilare Spactacle. Fammi sapere che in caso ci penso io domani
«Il valore dell'essere umano si determina nella misura in cui sia grande o piccola la sua capacità di contribuire al bene collettivo.» Jigorō Kanō

Offline ronnydaca

  • *
  • Post: 511
  • Reputazione: 1
    • Mostra profilo
Re:Spectacle - libreria mancante
« Risposta #2 il: 03 Marzo 2016 ore 09:40 »
Hai aggiornato il sistema con
sudo pacman -Syyu
?
Se l'errore persiste significa che bisogna ricompilare Spactacle. Fammi sapere che in caso ci penso io domani
Sì Franz. Ho aggiornato tutto il sistema due volte. Compreso il pacchetto Spectacle che ho disinstallato e reinstallato.

Ti ringrazio. Aspetto la ricompilazione allora.

Offline dinolib

  • *
  • Post: 3226
  • Reputazione: 110
    • Mostra profilo
Re:Spectacle - libreria mancante
« Risposta #3 il: 03 Marzo 2016 ore 10:28 »
ronny, prova anche a lanciare il seguente comando e posta l'output.
E' una diagnostica sulle librerie. Così vediamo se hai/c'è altro di rotto:

Codice: [Seleziona]
$ chakra-check-links
Ci mette un po', ma ti dice cose interessanti.

Offline ronnydaca

  • *
  • Post: 511
  • Reputazione: 1
    • Mostra profilo
Re:Spectacle - libreria mancante
« Risposta #4 il: 03 Marzo 2016 ore 11:26 »
Ok. Il risultato è questo:

Codice: [Seleziona]
[ronny@ronny-pc ~]$ chakra-check-links
[sudo] password di ronny:
Searching for broken binaries
                               [#########################################] 100.0%
jack /usr/bin/jack_netsource seems broken!
spectacle /usr/bin/spectacle seems broken!

Searching for broken libs      [#########################################] 100.0%
boost-libs /usr/lib/libboost_graph_parallel.so.1.55.0 seems broken!
boost-libs /usr/lib/libboost_mpi_python.so.1.55.0 seems broken!
boost-libs /usr/lib/libboost_mpi.so.1.55.0 seems broken!
kipi-plugins /usr/lib/libKF5kipiplugins.so.5.0.0 seems broken!
wxgtk /usr/lib/libwx_gtk2u_webview-3.0.so.0.2.0 seems broken!
boost-libs /usr/lib/mpi.so seems broken!

Offline dinolib

  • *
  • Post: 3226
  • Reputazione: 110
    • Mostra profilo
Re:Spectacle - libreria mancante
« Risposta #5 il: 03 Marzo 2016 ore 20:38 »
OK, sembra tu abbia problemi anche con jack (ma lo usi? altrimenti puoi anche rimuoverlo).

Per il resto le lib sembrano a posto, hai solo il problema con kipiplugins che Franz dovrebbe sistemare.

Offline ronnydaca

  • *
  • Post: 511
  • Reputazione: 1
    • Mostra profilo
Re:Spectacle - libreria mancante
« Risposta #6 il: 03 Marzo 2016 ore 20:58 »
No, non lo uso, infatti lo tolgo. Thanks :)

Offline FranzMari

  • *
  • Post: 2810
  • Reputazione: 103
  • [Senior Packager]
    • Mostra profilo
    • IMHO blog
Re:Spectacle - libreria mancante
« Risposta #7 il: 11 Marzo 2016 ore 11:12 »
Che versione di libkipi hai installato?
«Il valore dell'essere umano si determina nella misura in cui sia grande o piccola la sua capacità di contribuire al bene collettivo.» Jigorō Kanō

 

Template by Homey | Sito ufficiale | Disclaimer